### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface DatasetEntryInterface

All Superinterfaces:
  `com.sas.entities.EntityKeyInterface`, `EntryInterface`, `LibraryMemberEntryInterface`, `Remote`, `ResultSetProviderInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface DatasetEntryInterface extends LibraryMemberEntryInterface, ResultSetProviderInterface, Remote
The DatasetEntryInterface provides a mechanism for getting the attributes of a data set entry. SAS data sets can only be published using the MVA Publish Framework. When a data set is published, it is stored in the result package in an intermediate form.

The Java API can be used to retrieve the SAS data set that has been published to a result package. This interface provides a way to obtain the result set which can be used to obtain the actual data.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.publish.LibraryMemberEntryInterface

  `CATALOG, DATASET, FDB, MDDB, SQLVIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RemoteResultSetInterface`
  `getRemoteResultSet()`
  Gets a remotable result set.
  `ResultSet`
  `getResultSet()`
  Gets the result set for the data set entry.

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.publish.EntryInterface

  `getDescription, getNameValuePairs, getURL, isReadOnly, setDescription, setNameValuePairs`

  ### Methods inherited from interface com.sas.services.publish.LibraryMemberEntryInterface

  `getLibraryMemberType, getLibraryName, getMemberName`

  ### Methods inherited from interface com.sas.services.publish.ResultSetProviderInterface

  `hasResultSet`

- ## Method Details

  - ### getResultSet

    ResultSet getResultSet() throws UnmarshalException, TransportException, RemoteException
    Gets the result set for the data set entry. Because result sets are not remotable, this method will throw a RemoteException if it is invoked on a remote object. Distributed applications should utilize `getRemoteResultSet()` in order to obtain the result set. `RemoteResultSet.getResultSet(com.sas.services.publish.ResultSetProviderInterface)` is a convenience method that will return the appropriate result set (local or remote). See the ResultSet Usage overview documentation for an example of how this convenience method should be used.
    Specified by:
      `getResultSet` in interface `ResultSetProviderInterface`
    Returns:
      a result set from the provider; `null` if the provider does not provide the result set
    Throws:
      `UnmarshalException` - if invoked on a remote object
      `TransportException` - if an exception occurred while constructing the ResultSet
      `RemoteException` - if a network I/O error occurs.

  - ### getRemoteResultSet

    RemoteResultSetInterface getRemoteResultSet() throws TransportException, RemoteException
    Gets a remotable result set. `RemoteResultSet.getResultSet(com.sas.services.publish.ResultSetProviderInterface)` is a convenience method that will return the appropriate result set (local or remote). See the ResultSet Usage overview documentation for an example of how this convenience method should be used.
    Specified by:
      `getRemoteResultSet` in interface `ResultSetProviderInterface`
    Returns:
      a result set from the provider.
    Throws:
      `UnmarshalException` - if invoked on a remote object
      `TransportException` - if an exception occurred while constructing the RemoteResultSetInterface
      `RemoteException` - if a network I/O error occurs.